LibreOffice: XDataPilotTable2 Interface Reference

LibreOffice LibreOffice 24.8 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XDataPilotTable2 Interface Reference

additional methods to extend com::sun::star::sheet::XDataPilotTable. More...

`import <XDataPilotTable2.idl;`

Inheritance diagram for XDataPilotTable2:

## Public Member Functions
sequence< sequence< any > > | getDrillDownData ([in] com::sun::star::table::CellAddress aAddr)
| When the address of a cell within the result area is given, XDataPilotTable2::getDrillDownData() returns its drill-down output table that includes only those rows that contribute to the value of that cell.
DataPilotTablePositionData | getPositionData ([in] com::sun::star::table::CellAddress aAddr)
| Given a cell address, it returns the information about that cell.
void | insertDrillDownSheet ([in] com::sun::star::table::CellAddress aAddr)
com::sun::star::table::CellRangeAddress | getOutputRangeByType ([in] long nType) raises (com::sun::star::lang::IllegalArgumentException)
Public Member Functions inherited from XDataPilotTable
com::sun::star::table::CellRangeAddress | getOutputRange ()
| returns the address of the cell range that contains the data pilot table.
void | refresh ()
| recreates the data pilot table with current data from the source cell range.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

additional methods to extend com::sun::star::sheet::XDataPilotTable.

com::sun::star::sheet::XDataPilotTable2 extends the old com::sun::star::sheet::XDataPilotTable interface with additional methods.

See also
  com::sun::star::sheet::XDataPilotTable

Since
  OOo 3.0

## Member Function Documentation

## ◆ getDrillDownData()

sequence< sequence< any > > getDrillDownData | ( | [in] com::sun::star::table::CellAddress | aAddr | ) |

When the address of a cell within the result area is given, XDataPilotTable2::getDrillDownData() returns its drill-down output table that includes only those rows that contribute to the value of that cell.

Parameters

  aAddr | cell address within the result area of a DataPilot table.

Returns
  drill-down output as 2-dimensional sequence, including the header row.

See also
  XDataPilotTable2::insertDrillDownSheet()

## ◆ getOutputRangeByType()

com::sun::star::table::CellRangeAddress getOutputRangeByType | ( | [in] long | nType | ) |
raises | ( | com::sun::star::lang::IllegalArgumentException ) |  |  |

This method returns a different output range of a DataPilot table per specified output range type.

Returns
  com::sun::star::table::CellRangeAddress depicting the range specified. See DataPilotOutputRangeType for a set of possible output range types.

See also
  com::sun::star::sheet::DataPilotOutputRangeType

## ◆ getPositionData()

DataPilotTablePositionData getPositionData | ( | [in] com::sun::star::table::CellAddress | aAddr | ) |

Given a cell address, it returns the information about that cell.

The type of information returned depends upon whether the cell is within the result area or column/row header area.

Parameters

  aAddr | address of the cell whose information is to be returned.

Returns
  DataPilotTablePositionData which contains the position type and the information for that cell position.

See also
  com::sun::star::sheet::DataPilotTablePositionData
  com::sun::star::sheet::DataPilotTableHeaderData
  com::sun::star::sheet::DataPilotTableResultData

## ◆ insertDrillDownSheet()

void insertDrillDownSheet | ( | [in] com::sun::star::table::CellAddress | aAddr | ) |

This method inserts a new sheet to display the drill-down data for a specified result cell. A drill-down data for a result cell consists of a subset of rows from the original data source that contribute to the value displayed in that cell.

The new sheet is always inserted to the immediate left of the current sheet where the DataPilot table is. Note that when the drill-down data is empty, no new sheet is inserted.

Parameters

  aAddr | address of a result cell

The documentation for this interface was generated from the following file:

- com/sun/star/sheet/XDataPilotTable2.idl